/*
 * CxIO - simple XOR-based encryption mimicking stdio-based file IO
 * Copyright (c) Martin Dietze
 *
 * Unless otherwise stated, this software is provided under the terms of the
 * GNU LESSER PUBLIC LICENSE. The text of this license agreement accompanies
 * this library's source distribution.
 */

#ifndef CXIO_H
#define CXIO_H

#include <stddef.h>

struct cx_file;

struct cx_file *cx_fopen (const char *, const char *);
int cx_fclose (struct cx_file *);
char *cx_fgets (char *, int, struct cx_file *);
int cx_fputs (const char *, struct cx_file *);
int cx_feof (struct cx_file *);
int cx_setkey (const char *, struct cx_file *);
size_t cx_fread (void*, size_t, size_t, struct cx_file *);
size_t cx_fwrite (const void *, size_t, size_t, struct cx_file *);

#endif
